services:
  gitea-redis:
    image: redis:alpine
    container_name: gitea-redis
    restart: unless-stopped
    volumes:
      - gitea-redis-data:/data
    networks:
      - gitea

  gitea:
    image: gitea/gitea:latest
    container_name: gitea
    restart: unless-stopped
    depends_on:
      - gitea-redis
    environment:
      USER_UID: 1000
      USER_GID: 1000
    volumes:
      - /home/icke/gitea/data:/data
    ports:
      - "4000:3000"  # Web interface
      - "222:22"     # SSH access
    networks:
      - gitea

networks:
  gitea:
    driver: bridge

volumes:
  gitea-redis-data:
